using HRD.WebApi.DAL;
using System.ComponentModel.DataAnnotations.Schema;

namespace DAL.Models.Entities
{
    public partial class WindreamSearchToDepartment : BaseEntity
    {
        public int WindreamSearchToDepartmentId { get; set; }
        public int DepartmentId { get; set; }
        public int WindreamSearchId { get; set; }
        public int Seq { get; set; }
        public bool IsActive { get; set; }

        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
        public string DepartmentName { get; set; }

        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
        public string WindreamSearchName { get; set; }

        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
        public string WindreamSearchXMLPath { get; set; }

        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
        public string WindreamSearchComment { get; set; }

        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
        public int? WindreamSearchColor { get; set; }

        //generic Id
        public override int GetEntityId() => WindreamSearchToDepartmentId;

        //generic ToString()
        public override string ToString() => $"WindreamSearchToDepartmentId: {GetEntityId()}; DepartmentName: {DepartmentName}; WindreamSearchName: {WindreamSearchName}";

        //generic EntityInfo()
        public override string EntityInfo() => base.EntityInfo();
    }
}